<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('employee_assignments', function (Blueprint $table) {
            $table->foreignId('kab_kota_id')->nullable()->after('kcd_id')->constrained('kab_kota')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('employee_assignments', function (Blueprint $table) {
            $table->dropForeign(['kab_kota_id']);
            $table->dropColumn('kab_kota_id');
        });
    }
};
